The version you are using (2.2.3) of GRAMPS is no longer supported. Please upgrade to one of the versions present in the Debian repositories that is more recent (see our wiki).
If you cannot do that because you run a server or, consider installing a more up to date configuration in a virtual environment.
Gramps is now version 3.0.3, but feel free to use 2.2.10 which should run on the same hardware as 2.2.3.

Benny

2008/10/24 Waqar Saleem <wsaleem@gmail.com>
"User Information:
===================




Error Details:
===================

34709: ERROR: __init__.py: line 1072: Unhandled exception
Traceback (most recent call last):
 File "/usr/share/gramps/ViewManager.py", line 769, in change_page
   self.active_page.set_active()
 File "/usr/share/gramps/DataViews/_RelationView.py", line 127, in set_active
   PageView.PersonNavView.set_active(self)
 File "/usr/share/gramps/PageView.py", line 231, in set_active
   PageView.set_active(self)
 File "/usr/share/gramps/PageView.py", line 93, in set_active
   self.build_tree()
 File "/usr/share/gramps/DataViews/_RelationView.py", line 145, in build_tree
   self.redraw()
 File "/usr/share/gramps/DataViews/_RelationView.py", line 361, in redraw
   self.change_person(self.dbstate.active.handle)
 File "/usr/share/gramps/DataViews/_RelationView.py", line 378, in change_person
   self.write_title(person)
 File "/usr/share/gramps/DataViews/_RelationView.py", line 464, in write_title
   label = GrampsWidgets.DualMarkupLabel(text, _GenderCode[person.gender])
 File "/usr/share/gramps/GrampsWidgets.py", line 191, in __init__
   b = GenderLabel(alt)
 File "/usr/share/gramps/GrampsWidgets.py", line 167, in __init__
   gtk.Label.__init__(self, text)
TypeError: could not convert parameter 'str' of type 'gchararray'


System Information:
===================

Python version: 2.4.4 (#2, Apr  5 2007, 20:11:18) [GCC 4.1.2 20061115 (prerelease) (Debian 4.1.1-21)]
BSDDB version: 4.3.0.3
Gramps version: 2.2.3-1
LANG:
OS: Linux
Distribution: 2.6.20.20.1.pm-smp
"


-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/
_______________________________________________
Gramps-bugs mailing list
Gramps-bugs@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/gramps-bugs